Webcam (ov518) problems

Miles Izzo mgi at mgi.net.au
Tue Oct 11 01:44:58 UTC 2005


Hi everyone,

I know this issue is dealt with here and there, but I can't seem to find
a solution to my problems getting this camera working under breezy using
the stock 2.6.12 kernel (amd64).

I have already tried the instructions in
https://wiki.ubuntu.com/HardwareSupportComponentsMultimediaWebCameras.

The camera is a Creative Webcam (although the above wiki page calls it a
'Logitech'), with lspci entry:

Bus 002 Device 002: ID 05a9:0518 OmniVision Technologies, Inc. OV518 WebCam

When I try to use, say, 'motion' to capture images from its v4l device
(at /dev/video0), I get this in my kern.log:

Oct 11 11:30:47 localhost kernel: [  388.038342]
    drivers/usb/media/ov511.c: No decompressor available

I've tried installing the ovcamchip module and adding the 'compress=1'
option to the ov511 module.

The dmesg output when I plug the camera in is:

[   46.283679] Linux video capture interface: v1.00
[   46.290356] drivers/usb/media/ov511.c: USB OV518 video device found
[   46.291507] drivers/usb/media/ov511.c: Device revision 9
[   46.327495] drivers/usb/media/ov511.c: Compression required with OV518...enabling
[   47.945153] drivers/usb/media/ov511.c: Sensor is an OV6630AF
[   48.558094] drivers/usb/media/ov511.c: Device at usb-0000:00:02.1-4 registered to minor 0
[   48.558104] usbcore: registered new driver ov511
[   48.558108] drivers/usb/media/ov511.c: v1.64 for Linux 2.5 : ov511 USB Camera Driver

The dmesg output when I install the ovcamchip module is:

[  384.090925] ovcamchip: v2.27 for Linux 2.6 : OV camera chip I2C driver

Any help would be greatly appreciated.

-- 
Regards,
Miles Izzo
comporellon at  11:37:12 up 16 min,  4 users,  load average: 0.01, 0.04, 0.03
-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 189 bytes
Desc: Digital signature
URL: <https://lists.ubuntu.com/archives/ubuntu-users/attachments/20051011/f4df1e0b/attachment.pgp>


More information about the ubuntu-users mailing list